Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am compiling libvirt. while compiling I got to install a lot of libraries which were appeared as dependencies. but I am not able to resolve the following error:

linux/bin/ld: cannot find -lgcrypt collect2: ld returned 1 exit status

I have libgcrypt already installed in my system:

~/libvirt> sudo zypper install libgcrypt11 Loading repository data... Reading installed packages... 'libgcrypt11' is already installed. No update candidate for 'libgcrypt11-1.5.0-2.1.2.i586'. The highest available version is already installed. Resolving package dependencies...

Nothing to do.

Please help me if I am missing some packages?

share|improve this question
    
I have libgcrypt11-devel also installed in my system. –  Dr. Death Oct 23 '12 at 13:02

1 Answer 1

up vote 0 down vote accepted

I had figured it out. There were no pacakges missing but some how my /bin was not reading teh libgcrypt. after uninstalling the and reinstalling libgcrypt I got it working.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.